Package net.snowflake.client.core

## Class ParameterBindingDTO

- java.lang.Object
- - net.snowflake.client.core.ParameterBindingDTO

    public class ParameterBindingDTO
    extends Object

This class represents a binding object passed to server side.

### Constructor Summary

Constructors
`ParameterBindingDTO​(String type, Object value)`
`ParameterBindingDTO​(String fmt, String type, Object value)`
`ParameterBindingDTO​(String fmt, String type, Object value, BindingParameterMetadata schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFmt()`
`BindingParameterMetadata` `getSchema()`
`String` `getType()`
`Object` `getValue()`
`void` `setFmt​(String fmt)`
`void` `setSchema​(BindingParameterMetadata schema)`
`void` `setType​(String type)`
`void` `setValue​(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterBindingDTO

    public ParameterBindingDTO​(String fmt,
                               String type,
                               Object value,
                               BindingParameterMetadata schema)

#### ParameterBindingDTO

    public ParameterBindingDTO​(String fmt,
                               String type,
                               Object value)

#### ParameterBindingDTO

    public ParameterBindingDTO​(String type,
                               Object value)

### Method Detail

#### getValue

    public Object getValue()

#### getType

    public String getType()

#### setType

    public void setType​(String type)

#### setValue

    public void setValue​(Object value)

#### getFmt

    public String getFmt()

#### setFmt

    public void setFmt​(String fmt)

#### getSchema

    public BindingParameterMetadata getSchema()

#### setSchema

    public void setSchema​(BindingParameterMetadata schema)